org.apache.sysds.runtime.matrix.operators

## Class LeftScalarOperator

- java.lang.Object
- - org.apache.sysds.runtime.matrix.operators.Operator
  - - org.apache.sysds.runtime.matrix.operators.ScalarOperator
    - - org.apache.sysds.runtime.matrix.operators.LeftScalarOperator

- All Implemented Interfaces:
    Serializable

      public class LeftScalarOperator
      extends ScalarOperator

  Scalar operator for scalar-matrix operations with scalar on the left-hand-side.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.apache.sysds.runtime.matrix.operators.ScalarOperator

      `fn`

    - ### Fields inherited from class org.apache.sysds.runtime.matrix.operators.Operator

      `sparseSafe`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LeftScalarOperator(ValueFunction p, double cst)`
    `LeftScalarOperator(ValueFunction p, double cst, int numThreads)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `executeScalar(double in)` Apply the scalar operator over a given input value.
    `ScalarOperator` | `setConstant(double cst)`
    `ScalarOperator` | `setConstant(double cst, int numThreads)`

    - ### Methods inherited from class org.apache.sysds.runtime.matrix.operators.ScalarOperator

      `getConstant, getNumThreads, setNumThreads`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LeftScalarOperator

          public LeftScalarOperator(ValueFunction p,
                                    double cst)

    - #### LeftScalarOperator

          public LeftScalarOperator(ValueFunction p,
                                    double cst,
                                    int numThreads)

  - ### Method Detail

    - #### setConstant

          public ScalarOperator setConstant(double cst,
                                            int numThreads)

      Specified by:
        `setConstant` in class `ScalarOperator`

    - #### setConstant

          public ScalarOperator setConstant(double cst)

      Specified by:
        `setConstant` in class `ScalarOperator`

    - #### executeScalar

          public double executeScalar(double in)

      Description copied from class: `ScalarOperator`
      Apply the scalar operator over a given input value.
      Specified by:
        `executeScalar` in class `ScalarOperator`
      Parameters:
        `in` - input value
      Returns:
        result

Copyright © 2021 The Apache Software Foundation. All rights reserved.